function [out]=rotation_matrix(vector_in, theta)
%% Function rotates vector by a certain angle theta (https://en.wikipedia.org/wiki/Rotation_matrix)
%% IN:
% vector_in - vector coordinates(x,y) before rotation
% theta - rotation angle

%% OUT:
% out - rotated vector coordinates (x,y)

R=[cos(theta) sin(theta); -sin(theta) cos(theta)];
out=R*vector_in;






